Skip to main content
GET
/
api
/
rate-limits
/
tiers
List Tiers
curl --request GET \
  --url https://api.example.com/api/rate-limits/tiers \
  --header 'Authorization: <authorization>'

Authentication

Authorization
string
required
Bearer token: Bearer <admin_token>

Example Request

curl https://api.sari-platform.com/api/rate-limits/tiers \
  -H "Authorization: Bearer <admin_token>"

Response

[
  {
    "tier": "client",
    "allowed_limit": 1000,
    "window_seconds": 3600,
    "is_active": true,
    "created_at": "2024-01-10T08:00:00Z",
    "updated_at": "2024-01-10T08:00:00Z"
  },
  {
    "tier": "server",
    "allowed_limit": 10000,
    "window_seconds": 3600,
    "is_active": true,
    "created_at": "2024-01-10T08:00:00Z",
    "updated_at": "2024-01-10T08:00:00Z"
  }
]

Errors

StatusDescription
401Invalid or expired token
403Admin access required